
package myWebservice;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the myWebservice package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _FindScore_QNAME = new QName("http://chapter45/", "findScore");
    private final static QName _Hello_QNAME = new QName("http://chapter45/", "hello");
    private final static QName _AddResponse_QNAME = new QName("http://chapter45/", "addResponse");
    private final static QName _HelloResponse_QNAME = new QName("http://chapter45/", "helloResponse");
    private final static QName _Add_QNAME = new QName("http://chapter45/", "add");
    private final static QName _FindScoreResponse_QNAME = new QName("http://chapter45/", "findScoreResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: myWebservice
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Add }
     * 
     */
    public Add createAdd() {
        return new Add();
    }

    /**
     * Create an instance of {@link FindScoreResponse }
     * 
     */
    public FindScoreResponse createFindScoreResponse() {
        return new FindScoreResponse();
    }

    /**
     * Create an instance of {@link AddResponse }
     * 
     */
    public AddResponse createAddResponse() {
        return new AddResponse();
    }

    /**
     * Create an instance of {@link HelloResponse }
     * 
     */
    public HelloResponse createHelloResponse() {
        return new HelloResponse();
    }

    /**
     * Create an instance of {@link FindScore }
     * 
     */
    public FindScore createFindScore() {
        return new FindScore();
    }

    /**
     * Create an instance of {@link Hello }
     * 
     */
    public Hello createHello() {
        return new Hello();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindScore }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://chapter45/", name = "findScore")
    public JAXBElement<FindScore> createFindScore(FindScore value) {
        return new JAXBElement<FindScore>(_FindScore_QNAME, FindScore.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Hello }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://chapter45/", name = "hello")
    public JAXBElement<Hello> createHello(Hello value) {
        return new JAXBElement<Hello>(_Hello_QNAME, Hello.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://chapter45/", name = "addResponse")
    public JAXBElement<AddResponse> createAddResponse(AddResponse value) {
        return new JAXBElement<AddResponse>(_AddResponse_QNAME, AddResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link HelloResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://chapter45/", name = "helloResponse")
    public JAXBElement<HelloResponse> createHelloResponse(HelloResponse value) {
        return new JAXBElement<HelloResponse>(_HelloResponse_QNAME, HelloResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Add }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://chapter45/", name = "add")
    public JAXBElement<Add> createAdd(Add value) {
        return new JAXBElement<Add>(_Add_QNAME, Add.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindScoreResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://chapter45/", name = "findScoreResponse")
    public JAXBElement<FindScoreResponse> createFindScoreResponse(FindScoreResponse value) {
        return new JAXBElement<FindScoreResponse>(_FindScoreResponse_QNAME, FindScoreResponse.class, null, value);
    }

}
