/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package chapter45;

import java.util.HashMap;
import javax.jws.WebService;
import javax.jws.WebMethod;
import javax.jws.WebParam;

/**
 *
 * @author manal
 */
@WebService(name = "ScoreService", serviceName = "ScoreWebService")
public class ScoreService {

    /**
     * This is a sample web service operation
     */
    
    // Stores scores in a map indexed by name 
    private HashMap<String, Double> scores = new HashMap<String, Double>();
    
    public ScoreService() { 
        scores.put("John", 90.5); 
        scores.put("Michael", 100.0);
        scores.put("Michelle", 98.5);
    } 


    @WebMethod(operationName = "hello")
    public String hello(@WebParam(name = "name") String txt) {
        return "Hello " + txt + " !";
    }
    
    @WebMethod(operationName = "findScore")
    public double findScore(String name) { 
        Double d = scores.get(name);
        if (d == null) {
            System.out.println("Student " + name + " is not found ");
            return -1;
        } 
        else {
            System.out.println("Student " + name + "\'s score is " + d.doubleValue()); 
            return d.doubleValue();
        } 
    } 

    /**
     * Web service operation
     */
    @WebMethod(operationName = "add")
    public int add(@WebParam(name = "num1") int num1, @WebParam(name = "num2") int num2) {
        //TODO write your implementation code here:
        return num1 + num2;
    }


}
